About Autoshape

 Top Next

Purpose

Autoshaping for the University of Newcastle boxes.

Supplied with:

· VB source project to illustrate VB programming techniques.
· Installer for the task, and the Microsoft CommonDialog control.
· Task manual (this file).

Software requirements

Requires WhiskerServer v 2.4 or greater, configured to control the following devices.

Also requires (installed on client computer)

· Whisker SDK version 2.1 or greater.
· Microsoft CommonDialog Control, as supplied with VisualBasic 6.0.

Data storage

· Text summary output to disk.
· Detailed storage into .csv format, compatible with spreadsheet packages.

Author

Task specification by Candy Rowe & Melissa Bateson.

Code by Mike Aitken (m.aitken@psychol.cam.ac.uk).

Copyright

Copyright © Cambridge University Technical Services Ltd


Required devices

 Top Previous Next

The program requires to claim devices in a given group name, with a set of device names as listed below in capitals:

# Inputs

line 0 box1 RIGHTPERCH

line 1 box1 LEFTPERCH

line 2 box1 MAGAZINEREPORT

line 3 box1 FEEDERREPORT

# Outputs

line 24 box1 RIGHTPERCHLAMP

line 25 box1 LEFTPERCHLAMP

line 26 box1 FEEDER

line 27 box1 MAGAZINELIGHT

# Multimedia Devices

display 0 box1 SCREEN

audio 0 box1 SOUND

Please ensure that these devices are available and listed in the device definition file in use by the server. The above snippet could be used to define lines for a group called box1.


Using the task

 Top Previous Next

Installation

The task requires two files to be installed on the computer along with the .Exe file. These files are the Whisker SDK control, and the Microsoft CommonDialog control.

· Installing the SDK

The installer program for the SDK should be used to install the SDK.

· Installing the CommonDialog control

This will be installed by default if VisualBasic has been installed on the machine. The installer for the program will install this file.

Monitoring the task

This task can be monitored using the standard WhiskerStatus and WebStatus clients distributed with WhiskerServer v 2.4 or later. If you are connected using these clients, certain 'alert' messages (e.g. when the task finishes & saves data) will be presented as messageboxes to the monitoring client.

Configuring the task

A configuration can be loaded and saved for each subject, to allow rapid setup.

When the task is run, the following dialog is presented:

The task is configured by four groups of controls on the dialog:

BoxID - this must match the group name for the box in the device definition file. See Devices.

ClaimBox button. Click to connect to the server, and claim the box specified. This will illuminate the houselight.

WhiskerSettings button. Click to view or change the settings relating to the WhiskerServer. There is no need to use this button unless you are running the task and server on different computers.

Go button Click this button to start the task.

About Autoshape Click this button to display the 'About box' for the Autoshaping task.

Settings / Status Radio buttons Toggle between viewing the settings and status (on-line data) for the task.

Configuration controls:

BirdID - the name of the subject.

Session - the session number. If you load a saved session, the session number will be automatically incremented by one.

The bird ID and session number is used to generate default filenames of the form birdID_sessnum.csv and birdID_sessnum.txt. If you wish to specify different filenames, you can do so with the Choose response file and Choose summary file buttons.

Load Config... Click this button to load a previously saved configuration.

Save Config... Click this button to save a new configuration to disk.

Once a configuration file is loaded or saved, it will be automatically updated when the session starts.

Session settings:

Use these controls to specify the settings for the duration, number and behaviour of the trials. See Task Details for more information.

Stimulus settings:

Use these controls to specify the appearance of the autoshaping stimulus.


Task details

 Top Previous

Procedure

As soon as the box is claimed from the main dialog, the houselight is illuminated, and remains illuminated throughout the experiment.

Task starts when the 'Go' button is clicked, and begins with an ITI. During the ITI, the screen is blank. The duration of the ITI is specified, and can be randomized (+/- a random amount, up to a specified % of the total duration).

At end of the ITI, the stimulus is presented as soon as the bird moves to the front (left) perch. If the bird is not on the front perch, then the perchlight will flash to encourage birds to move there, providing the flashing option is selected. Once the subject sits on the front perch, the perch light ceases flashing, and the stimulus is presented.

The stimulus will appears in the centre of the screen, or in a random location on the screen, depending on the option selected. The stimulus is either a rectangle (of configurable colour), or a bitmap selected from the media directory. The size of the stimulus is specified as a proportion of the screen. The stimulus is presented either for a fixed duration, or optionally until a peck to the stimulus is detected (to a maximum duration).

A typical stimulus may look like this:

Screenshot of a stimulus presentation (white stimulus, black background).

The blue border has been added later so you can see the edges of the screen - it's not present on screen during the task.

The offset of the stimulus is followed by a configurable number of pulses on the feeder line, unless the option is specified to only present reinforcement if the subject pecked the stimulus during the presentation. After reinforcement, the trial is complete, and another ITI begins.

The task finishes after either a specified number of trials are complete, or after a specified interval.

Data

A summary of responding is presented on the main window during the session. This summary data is stored, in text form, to a text file in the 'Summary Files' folder.

A more detailed summary is also saved, in CSV format (compatible with spreadsheet programs) in the 'Response Files' folder.